com.gisgraphy.webapp.action

## Class ReverseGeocodingAction

- java.lang.Object
- - com.opensymphony.xwork2.ActionSupport
  - - com.gisgraphy.webapp.action.SearchAction
    - - com.gisgraphy.webapp.action.ReverseGeocodingAction

- All Implemented Interfaces:
    GoogleMapApiKeyAware, com.opensymphony.xwork2.Action, com.opensymphony.xwork2.LocaleProvider, com.opensymphony.xwork2.TextProvider, com.opensymphony.xwork2.Validateable, com.opensymphony.xwork2.ValidationAware, Serializable

      public class ReverseGeocodingAction
      extends SearchAction
      implements GoogleMapApiKeyAware

  Reverse geocoding Action
  Author:
    David Masclet
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `lat`
    `String` | `lng`

    - ### Fields inherited from class com.gisgraphy.webapp.action.SearchAction

      `DEFAULT_NUMBER_OF_RESULTS_PER_PAGE, errorMessage, POPUP_VIEW`

    - ### Fields inherited from class com.opensymphony.xwork2.ActionSupport

      `LOG`

    - ### Fields inherited from interface com.opensymphony.xwork2.Action

      `ERROR, INPUT, LOGIN, NONE, SUCCESS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReverseGeocodingAction()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getGoogleMapAPIKey()`
    `String` | `getLat()`
    `String` | `getLng()`
    `void` | `setLat(String lat)`
    `void` | `setLng(String lng)`

    - ### Methods inherited from class com.gisgraphy.webapp.action.SearchAction

      `getDefaultNumberOfResultsPerPage, getErrorMessage, getFormat, getFrom, getPlacetypes, getTo, isAdvancedSearch, isIndent, setAdvancedSearch, setFormat, setFrom, setIndent, setTo`

    - ### Methods inherited from class com.opensymphony.xwork2.ActionSupport

      `addActionError, addActionMessage, addFieldError, clearActionErrors, clearErrors, clearErrorsAndMessages, clearFieldErrors, clearMessages, clone, doDefault, execute, getActionErrors, getActionMessages, getErrorMessages, getErrors, getFieldErrors, getLocale, getText, getText, getText, getText, getText, getText, getText, getText, getText, getTexts, getTexts, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, hasKey, input, pause, setActionErrors, setActionMessages, setFieldErrors, validate`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### lat

          public String lat

    - #### lng

          public String lng

  - ### Constructor Detail

    - #### ReverseGeocodingAction

          public ReverseGeocodingAction()

  - ### Method Detail

    - #### getLat

          public String getLat()

      Returns:
        the lat

    - #### setLat

          public void setLat(String lat)

      Parameters:
        `lat` - the lat to set

    - #### getLng

          public String getLng()

      Returns:
        the lng

    - #### setLng

          public void setLng(String lng)

      Parameters:
        `lng` - the lng to set

    - #### getGoogleMapAPIKey

          public String getGoogleMapAPIKey()

      Specified by:
        `getGoogleMapAPIKey` in interface `GoogleMapApiKeyAware`
      Returns:
        the googleMapAPIKey

Copyright © 2015. All rights reserved.